Subject: Re: [PATCH net v2] net: ll_temac: platform_get_resource replaced by wrong function

From: Simon Horman <[email-masked]>
Date: Wed, 20 Mar 2024 15:22:46 +0000

On Wed, Mar 20, 2024 at 02:19:15PM +0000, Claus Hansen Ries wrote:
> From: Claus Hansen Ries <[email-masked]>
> 
> Hope I am resubmitting this correctly, I've fixed the issues in 
> the original submission.

For future reference, the text above probably belongs
below the scissors ("---"). But I don't think there
is a need to resubmit just because of that.

> 
> platform_get_resource was replaced with devm_platform_ioremap_resource_byname 
> and is called using 0 as name. This eventually ends up in platform_get_resource_byname
> in the call stack, where it causes a null pointer in strcmp.
> 
> 	if (type == resource_type(r) && !strcmp(r->name, name))
> 
> It should have been replaced with devm_platform_ioremap_resource.
> 
> Fixes: bd69058f50d5 ("net: ll_temac: Use devm_platform_ioremap_resource_byname()")
> Signed-off-by: Claus Hansen Ries <[email-masked]>
> Cc: [email-masked]
> ---
> v2:
>   - fix accidently converting tabs to spaces and wording in commit message
> v1: https://marc.info/?l=linux-netdev&m=171087828129633&w=2

Thanks,

Reviewed-by: Simon Horman <[email-masked]>